Subject: Re: iSCSI : Aborting non-SCSI tasks.

From: Santosh Rao <[email-masked]>
Date: Tue, 24 Apr 2001 13:31:00 -0700

Hi Charles,

non-scsi tasks refers to Login, Logout, Text & NOP-OUT PDUs.

Initiators will need to time these tasks [exchanges ?] and how do they
deal with a timeout of such non-scsi tasks [exchanges/PDUs/commands] ?

Regards,
Santosh

Charles Monia wrote:
> 
> Hi Santosh:
> 
> > The iSCSI spec is missing description on how non-SCSI tasks should be
> > aborted
> 
> What is a non-SCSI task?
> 
> Charles
> > -----Original Message-----
> > From: Santosh Rao [mailto:[email-masked]]
> > Sent: Tuesday, April 24, 2001 10:27 AM
> > To: IPS Reflector
> > Subject: iSCSI : Aborting non-SCSI tasks.
> >
> >
> > All,
> >
> > The iSCSI spec is missing description on how non-SCSI tasks should be
> > aborted in order to flush stale PDUs of that task. Initiators will
> > typically time non-SCSI [& SCSI] tasks and will need to resort to some
> > form of abort and cleanup action on a timeout of the non-scsi task.
> >
> > This is required in order to safely re-use the task tag resources
> > without the danger of stale PDUs arriving from a previous
> > incarnation of
> > that task tag.
> >
> > The spec should provide some description on how this is to be done.
> > Perhaps, the semantics of Abort Task can be extended to non-SCSI tasks
> > as well, to avoid defining a second abort mechanism for
> > non-SCSI tasks.
> >
> > - Santosh
> >

---

From: Charles Monia <[email-masked]>
Date: Tue, 24 Apr 2001 13:19:11 -0700

What is a non-SCSI task?

Charles

---

From: "Douglas Otis" <[email-masked]>
Date: Tue, 24 Apr 2001 14:57:54 -0700

Santosh,

Should the Service Delivery Subsystem (iSCSI) be responding to Task
Management requests?  Unless you wish to burden the transport with the
prospect of sorting and tracking LUN:TAG values, the transport should not
attempt to interpret SCSI commands.  There should be a simple scheme for
handling these situations without having the transport take on the
characteristics of a SCSI target.  Philosophically, this does not isolate
the functions in a layered manner.  It gets complex very quickly otherwise.

Doug